Foxit PDF SDK

Public Member Functions | List of all members
FSDK.ParagraphEditingMgr Class Reference

## Public Member Functions
| constructor (callback, document)
| Constructor. More...
| GetJoinSplit ()
| Get the join split object. More...
| GetParagraphEditing ()
| Get the paragraph edit object. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetSystemDPI (horizontal_dpi, vertical_dpi)
| Set the dpi for the paragraph editing provider used. More...

## Detailed Description

This class represents a paragraph editing manager used for editing PDF page.

User can call the function FSDK.ParagraphEditingMgr.GetParagraphEditing to get current FSDK.ParagraphEditing object in the process of using edit page. User can call the function FSDK.ParagraphEditingMgr.GetJoinSplit to get current FSDK.JoinSplit object in the process of using edit page.

See also
  FSDK.ParagraphEdit
  FSDK.JoinSplit

## Member Function Documentation

## ◆ constructor()

FSDK.ParagraphEditingMgr.constructor | ( | callback | ,
|  | document |
| ) |  |

Constructor.

Parameters

  [in] | provider | A valid paragraph edit provider object.
  [in] | document | A valid PDF document object.

## ◆ GetJoinSplit()

FSDK.ParagraphEditingMgr.GetJoinSplit | ( |  | ) |

Get the join split object.

Returns
  The FSDK.JoinSplit object.

## ◆ GetParagraphEditing()

FSDK.ParagraphEditingMgr.GetParagraphEditing | ( |  | ) |

Get the paragraph edit object.

Returns
  The FSDK.ParagraphEditing object.

## ◆ IsEmpty()

FSDK.ParagraphEditingMgr.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetSystemDPI()

FSDK.ParagraphEditingMgr.SetSystemDPI | ( | horizontal_dpi | ,
|  | vertical_dpi |
| ) |  |

Set the dpi for the paragraph editing provider used.

Parameters

  [in] | horizontal_dpi | A horizontal dpi for paragraph editing provider. It should be greater than 0.Default Value:96.
  [in] | vertical_dpi | A vertical dpi for paragraph editing provider. It should be greater than 0. Default Value:96.

Returns
  None.